<?php
  /**************************************************************************\
  * phpGroupWare - Setup                                                     *
  * http://www.phpgroupware.org                                              *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  echo "<center>Adding default records for Job Status table...<br>";

    $oProc->query("INSERT INTO phpgw_ttrack_job_status (status_id, status_name) "
	. "VALUES (1,'None')");
    $oProc->query("INSERT INTO phpgw_ttrack_job_status (status_id, status_name) "
	. "VALUES (2,'Quoted')");
    $oProc->query("INSERT INTO phpgw_ttrack_job_status (status_id, status_name) "
	. "VALUES (3,'In Process')");
    $oProc->query("INSERT INTO phpgw_ttrack_job_status (status_id, status_name) "
	. "VALUES (4,'Complete')");
    $oProc->query("INSERT INTO phpgw_ttrack_job_status (status_id, status_name) "
	. "VALUES (5,'Paid in Full')");
    $oProc->query("INSERT INTO phpgw_ttrack_job_status (status_id, status_name) "
	. "VALUES (6,'Not Awarded')");

  echo "Adding default records for Locations table...<br>";

    $oProc->query("INSERT INTO phpgw_ttrack_locations (location_id, location_name) "
	. "VALUES (1,'Main Site')");
    $oProc->query("INSERT INTO phpgw_ttrack_locations (location_id, location_name) "
	. "VALUES (2,'Remote Site')");
    $oProc->query("INSERT INTO phpgw_ttrack_locations (location_id, location_name) "
	. "VALUES (3,'Customer Site')");
    $oProc->query("INSERT INTO phpgw_ttrack_locations (location_id, location_name) "
	. "VALUES (4,'Home Office')");

  echo "Adding default records for Work Catagories table...<br>";

    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (1,'3D Modeling')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (2,'2D Detailing')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (3,'Project Management')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (4,'Data Management')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (5,'External System Management')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (6,'CAD Manufacturing')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (7,'Checking')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (8,'Engineering Analysis')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (9,'Consulting')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (10,'Misc. Internal Work')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (11,'Internal Development')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (12,'Internal Systems Management')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (13,'Vacation')");
    $oProc->query("INSERT INTO phpgw_ttrack_wk_cat (work_catagory_id, catagory_desc) "
	. "VALUES (14,'Sick Leave')");

 echo "<br><br><b>To complete the installation of the Timetrack application,<br>"
    . "you must login to phpgroupware as an admin user, grant yourself<br>"
    . "access to the Timetrack app under User Admin, and then execute the<br>"
    . "'Site Setup' link under the Timetrack Admin Hooks section.<br>"
    . "Further instructions will be provided there.</b></center>";

?>
